<?php
error_reporting(E_ALL);
session_start();

require_once('autoload.php');

if(!isset($_SESSION['user_id']))
{
    header('Location: /');
    exit();
}

$user_id = $_SESSION['user_id'];
$tenant_id=$_SESSION['tenant_id'];
$username = $_SESSION['user_name'];
?>
<!doctype html>
<!--[if lt IE 7]> <html class="no-js lt-ie9 lt-ie8 lt-ie7" lang="en"> <![endif]-->
<!--[if IE 7]>    <html class="no-js lt-ie9 lt-ie8" lang="en"> <![endif]-->
<!--[if IE 8]>    <html class="no-js lt-ie9" lang="en"> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js" lang="en">
<!--<![endif]-->
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
    <meta name="viewport" content="width=device-width" />
    <link rel="shortcut icon" href="/favicon.ico" />
    <title>Home</title>
    <link rel="stylesheet" type="text/css" href="/App_Themes/CelloSkin/bootstrap.css" />
    <link rel="stylesheet" type="text/css" href="/App_Themes/CelloSkin/custom-theme.css" />
    <link rel="stylesheet" type="text/css" href="/App_Themes/CelloSkin/font-awesome.min.css" />
    <link rel="stylesheet" type="text/css" href="/App_Themes/CelloSkin/prettify.css" />
    <style>
        .page-content .content {
            padding: 0 15px;
        }

        li.privilege {
            list-style: none;
            display: inline-block;
            padding: 3px;
            width: 20%;
        }
    </style>
</head>
<body>
    <section class="hbox stretch" id="cpage">
        <aside id="nav" class="bg-black aside-sm nav-vertical">
            <section class="vbox">
                <header class="bg-black nav-bar">
                    <a class="nav-brand" href="/">Cello<span class="semi-bold">SaaS</span></a>
                </header>

                <section class="w-f">
                    <nav class="nav-primary hidden-xs">
                    </nav>
                </section>

                <footer class="footer bg-gradient hidden-xs">
                    <div class="row">
                        <div class="col-xs-6">
                            <a class="btn btn-sm btn-link m-l-n-sm btn-menu-toggle" data-toggle="nav-vertical" href="#nav" title="Toggle menu width">
                                <i class="fa fa-list"></i>
                            </a>
                        </div>
                        <div class="col-xs-6">
                            <a class="btn btn-sm btn-link m-l-n-sm  m-r-n-xs" title="LogOff" href="logoff.php">
                                <i class="fa fa-power-off"></i>
                            </a>
                        </div>
                    </div>
                </footer>
            </section>
        </aside>

        <section id="content">
            <section class="vbox">
                <header class="header bg-black navbar navbar-inverse" role="banner" style="z-index: 99;">
                    <div id="mainnav" style="margin-left: 50px;">
                        <ul class="nav navbar-nav navbar-left">
                            <li><a href="#user-details">User Details</a></li>
                            <li><a href="#tenant-details">Tenant Details</a></li>
                            <li><a href="#tenant-settings">Tenant Settings</a></li>
                            <li><a href="#tenant-license">Tenant License</a></li>
                            <li><a href="#php-source">PHP Source</a></li>
                        </ul>
                    </div>
                    <nav class="collapse navbar-collapse pull-in" role="navigation">
                        <ul class="nav navbar-nav navbar-right">
                            <li>
                                <a id="btnMyDetailsdp" class="dropdown-toggle" data-toggle="dropdown" href="#"><?php echo $username; ?></a>
                            </li>
                            <li>
                                <a class="btn btn-sm btn-link m-l-n-sm  m-r-n-xs" title="LogOff" href="logoff.php">
                                    <i class="fa fa-power-off"></i>
                                </a>
                            </li>
                        </ul>
                    </nav>
                </header>
                <section id="main-container" class="page-content scrollable">
                    <div class="content">
                        <div id="loading"></div>
                        <div class="page-title">
                            <h3>CelloSaaS PHP Sample</h3>
                        </div>

                        <div class="row-fluid">
                            <?php
                            #create a CelloProxy object            
                            $client = new CelloProxy();
                            $user = $client->get_user_details_by_id($user_id);  #get user details
                            $user_roles = $client->get_user_roles($user_id); #get user roles
                            $user_privileges = $client->get_user_privileges($user_id);  #get user privileges
                            $tenant = $client->get_tenant_details_by_id($tenant_id);  #get tenant details
                            $tenant_settings = $client->get_tenant_settings($tenant_id);  #get tenant settings
                            $tenant_license = $client->get_tenant_license($tenant_id); #get tenant license details
                            ?>

                            <!-- user and user roles details -->
                            <div class="grid simple horizontal red" id="user-details">
                                <header class="grid-title">
                                    <h4>User Details</h4>
                                </header>
                                <div class="grid-body">
                                    <div>
                                        <table class="table">
                                            <tbody>
                                                <tr>
                                                    <td>First name</td>
                                                    <td><?php echo $user->User->FirstName; ?></td>
                                                </tr>
                                                <tr>
                                                    <td>Last Name</td>
                                                    <td><?php echo $user->User->LastName; ?></td>
                                                </tr>
                                                <tr>
                                                    <td>User Name</td>
                                                    <td><?php echo $user->MembershipDetails->UserName; ?></td>
                                                </tr>
                                                <tr>
                                                    <td>Email</td>
                                                    <td><?php echo $user->MembershipDetails->EmailId; ?></td>
                                                </tr>
                                                <tr>
                                                    <td>Last Login Date</td>
                                                    <td><?php echo $user->MembershipDetails->LastLogonDate; ?></td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    <div>
                                        <h4>User Roles (<?php echo count($user_roles); ?>)</h4>
                                        <ul>
                                            <?php
                                            foreach ($user_roles as $role)
                                            {
                                                echo '<li>'. $role .'</li>';
                                            }                                    
                                            ?>
                                        </ul>
                                    </div>
                                    <div>
                                        <h4>User Privileges (<?php echo count($user_privileges); ?>)</h4>
                                        <ul>
                                            <?php
                                            foreach ($user_privileges as $privilege)
                                            {
                                                echo '<li class="privilege">'. $privilege->Value->PrivilegeName .'</li>';
                                            }                                    
                                            ?>
                                        </ul>
                                    </div>
                                </div>
                            </div>

                            <!-- tenant details -->
                            <div class="grid simple horizontal green" id="tenant-details">
                                <header class="grid-title">
                                    <h4>Tenant Details</h4>
                                </header>
                                <div class="grid-body">
                                    <?php #echo var_dump($tenant); ?>
                                    <table class="table">
                                        <tbody>
                                            <tr>
                                                <td>Tenant name</td>
                                                <td><?php echo $tenant->TenantDetails->TenantName; ?></td>
                                            </tr>
                                            <tr>
                                                <td>Description</td>
                                                <td><?php echo $tenant->TenantDetails->Description; ?></td>
                                            </tr>
                                            <tr>
                                                <td>Created On</td>
                                                <td><?php echo $tenant->TenantDetails->CreatedOn; ?></td>
                                            </tr>
                                            <tr>
                                                <td>Website</td>
                                                <td><?php echo $tenant->TenantDetails->Website; ?></td>
                                            </tr>
                                            <tr>
                                                <td>URL</td>
                                                <td><?php echo $tenant->TenantDetails->URL; ?></td>
                                            </tr>
                                            <tr>
                                                <td>Email</td>
                                                <td>
                                                    <?php 
                                                    if($tenant->ContactDetail!=null){
                                                        echo $tenant->ContactDetail->Email; 
                                                    }
                                                    ?>
                                                </td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>

                            <!-- tenant settings -->
                            <div class="grid simple horizontal purple" id="tenant-settings">
                                <header class="grid-title">
                                    <h4>Tenant Settings</h4>
                                </header>
                                <div class="grid-body">
                                    <table class="table">
                                        <tbody>
                                            <?php
                                            foreach ($tenant_settings as $item)
                                            {                                            
                                            ?>
                                            <tr>
                                                <td><?php echo $item->Key; ?></td>
                                                <td><?php echo $item->Value; ?></td>
                                            </tr>
                                            <?php
                                            }
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>

                            <!-- tenant license -->
                            <div class="grid simple horizontal blue" id="tenant-license">
                                <header class="grid-title">
                                    <h4>Tenant License</h4>
                                </header>
                                <div class="grid-body">
                                    <?php #echo var_dump($tenant_license); ?>
                                    <table class="table">
                                        <tbody>
                                            <tr>
                                                <td>PackageName</td>
                                                <td><?php echo $tenant_license->PackageName;?></td>
                                            </tr>
                                            <tr>
                                                <td>Validity Start</td>
                                                <td><?php echo $tenant_license->ValidityStart;?></td>
                                            </tr>
                                            <tr>
                                                <td>Trial End</td>
                                                <td><?php echo $tenant_license->TrialEndDate;?></td>
                                            </tr>
                                            <tr>
                                                <td>Validity End</td>
                                                <td><?php echo $tenant_license->ValidityEnd;?></td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </div>

                            <!-- php source code -->
                            <div class="grid simple horizontal grey" id="php-source">
                                <div class="grid-title">
                                    <h4>Source Code</h4>
                                </div>
                                <div class="grid-body">
                                    <section id="rightPanel" class="panel">
                                        <header class="panel-heading bg-info">
                                            <ul class="nav nav-tabs nav-justified captilize">
                                                <li class="active"><a href="#proxy-source" data-toggle="tab">Proxy</a></li>
                                                <li><a href="#usage-source" data-toggle="tab">Usage</a></li>
                                            </ul>
                                        </header>
                                        <div class="tab-content panel-body">
                                            <div id="proxy-source" class="tab-pane fade active in">
                                                <pre class="prettyprint"><?php
                                                                         $src = file_get_contents('CelloProxy.php');
                                                                         echo htmlspecialchars($src);
                                                                         ?></pre>
                                            </div>
                                            <div id="usage-source" class="tab-pane fade">
                                                <pre class="prettyprint"><?php
                                                                         echo htmlspecialchars('<?php
    #get user_id, tenant_id from session object
    $user_id = $_SESSION["user_id"];
    $tenant_id=$_SESSION["tenant_id"];
    $username = $_SESSION["user_name"];
    
    #create a CelloProxy object            
    $client = new CelloProxy();
    $user = $client->get_user_details_by_id($user_id);  #get user details
    $user_roles = $client->get_user_roles($user_id); #get user roles
    $user_privileges = $client->get_user_privileges($user_id);  #get user privileges
    $tenant = $client->get_tenant_details_by_id($tenant_id);  #get tenant details
    $tenant_settings = $client->get_tenant_settings($tenant_id);  #get tenant settings
    $tenant_license = $client->get_tenant_license($tenant_id); #get tenant license details
?>');
                                                                         ?></pre>
                                            </div>
                                        </div>
                                    </section>
                                </div>
                            </div>

                        </div>
                        <!-- content row close -->

                    </div>
                </section>
            </section>
        </section>
    </section>

    <script src="/Scripts/jquery.min.js" type="text/javascript"></script>
    <script src="/Scripts/bootstrap.min.js" type="text/javascript"></script>
    <script src="/Scripts/prettify.js" type="text/javascript"></script>
    <script>
        $(function () {
            window.prettyPrint && prettyPrint()
        });
    </script>
</body>
</html>

